import { defineComponent } from "vue";
import styles from "./index.module.less";
import icons from "./images/index.json";
import icon_cancel from "./images/icon_cancel.svg";
import icon_confirm from "./images/icon_confirm.svg";
import microBg from "./images/microBg.png";
import microCancel from "./images/micro_cancel.png";
import microConfirm from "./images/micro_confirm.png";

export default defineComponent({
	name: "earphone",
	emits: ["close"],
	setup(props, { emit }) {
		return () => (
			<div class={styles.microBox}>
				<img class={styles.microBg} src={microBg} />
				<div class={styles.microBtn}>
					<img class={styles.microCancel} src={microCancel} onClick={() => emit("close")} />
					<img class={styles.microConfirm} src={microConfirm} onClick={() => emit("close")} />
				</div>
			</div>
		);
	},
});
